- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

SSL_CTX_flush_sessions_ex, SSL_CTX_flush_sessions - remove expired sessions

# SYNOPSIS

     #include <openssl/ssl.h>

     void SSL_CTX_flush_sessions_ex(SSL_CTX *ctx, time_t tm);

The following functions have been deprecated since OpenSSL 3.4, and can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     void SSL_CTX_flush_sessions(SSL_CTX *ctx, long tm);

# DESCRIPTION

SSL_CTX_flush_sessions_ex() causes a run through the session cache of ctx to remove sessions expired at time tm.

SSL_CTX_flush_sessions() is an older variant of the function that is not Y2038 safe due to usage of long datatype instead of time_t.

# NOTES

If enabled, the internal session cache will collect all sessions established up to the specified maximum number (see SSL_CTX_sess_set_cache_size()). As sessions will not be reused ones they are expired, they should be removed from the cache to save resources. This can either be done automatically whenever 255 new sessions were established (see SSL_CTX_set_session_cache_mode(3)) or manually by calling SSL_CTX_flush_sessions_ex().

The parameter tm specifies the time which should be used for the expiration test, in most cases the actual time given by time(0) will be used.

SSL_CTX_flush_sessions_ex() will only check sessions stored in the internal cache. When a session is found and removed, the remove_session_cb is however called to synchronize with the external cache (see SSL_CTX_sess_set_get_cb(3)).

# RETURN VALUES

SSL_CTX_flush_sessions_ex() does not return a value.

# SEE ALSO

ssl(7), SSL_CTX_set_session_cache_mode(3), SSL_CTX_set_timeout(3), SSL_CTX_sess_set_get_cb(3)

# HISTORY

SSL_CTX_flush_sessions_ex() was added in OpenSSL 3.4.

# COPYRIGHT

Copyright 2001-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.